package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionCtrl;
import com.rjconsultores.ventaboletos.entidad.PricingConexao;
import com.rjconsultores.ventaboletos.vo.parada.ParadaVOConexionRuta;

public interface ConexionCtrlDAO extends GenericDAO<ConexionCtrl, Long> {
	
	public List<ConexionCtrl> buscarConexionesCtrl(Integer origenId, Integer destinoId);

	public List<ConexionCtrl> buscarTodasConexionesCtrlPricing();

	public List<ParadaVOConexionRuta> carregarConexoesCadastradas(Long conexionctrlId);

	public List<ParadaVOConexionRuta> carregarConexoesCadastradas(Integer origenId, Integer destinoId, Long conexionctrlId);
	
	public void limparPesquisaPricingConexao(Integer pricingId);
}
